package es.rickyepoderi.springboot.keycloak;

import java.io.InputStream;
import org.keycloak.adapters.KeycloakConfigResolver;
import org.keycloak.adapters.KeycloakDeployment;
import org.keycloak.adapters.KeycloakDeploymentBuilder;
import org.keycloak.adapters.spi.HttpFacade;

/**
 *
 * @author rmartinc
 */
public class ClasspathKeycloakConfigResolver implements KeycloakConfigResolver {

    private final KeycloakDeployment deployment;

    public ClasspathKeycloakConfigResolver() {
        InputStream is = getClass().getResourceAsStream("/keycloak.json");
        deployment = KeycloakDeploymentBuilder.build(is);
    }

    @Override
    public KeycloakDeployment resolve(HttpFacade.Request req) {
        return deployment;
    }
}
